Isolate socket code used by client  server
Before I implement the TLS debugger sockets work for WiFi debugging, I think it will be clearer if we isolate the code handling sockets on either end to a single place.

Then, I'll extend these objects with secure versions.
